Bug 389792 - Kleopatra (gpg4win 3.0.3) crashes during *.sig verification
Summary: Kleopatra (gpg4win 3.0.3) crashes during *.sig verification
Status: RESOLVED UPSTREAM
Alias: None
Product: kleopatra
Classification: Unclassified
Component: general (show other bugs)
Version: 3.0.2
Platform: Other Microsoft Windows
: NOR crash (vote)
Target Milestone: ---
Assignee: Andre Heinecke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-02 10:07 UTC by kjatwork
Modified: 2018-03-07 15:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshots of Kleopatra and GPGEx Message Windows (22.37 KB, application/x-zip-compressed)
2018-02-02 10:07 UTC, kjatwork
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kjatwork 2018-02-02 10:07:34 UTC
Created attachment 110301 [details]
Screenshots of Kleopatra and GPGEx Message Windows

Kleapatra crashes when verificationb of sig file is requested by means of GPGEx.

Name der fehlerhaften Anwendung: kleopatra.exe, Version: 0.0.0.0, Zeitstempel: 0x00000409
Name des fehlerhaften Moduls: Qt5Core.dll, Version: 5.8.0.0, Zeitstempel: 0x5a58a6ae
Ausnahmecode: 0xc0000005
Fehleroffset: 0x00119806
ID des fehlerhaften Prozesses: 0x35fc
Startzeit der fehlerhaften Anwendung: 0x01d39c07946bd07c
Pfad der fehlerhaften Anwendung: C:\Program Files (x86)\Gpg4win\bin\kleopatra.exe
Pfad des fehlerhaften Moduls: C:\Program Files (x86)\Gpg4win\bin\Qt5Core.dll
Berichtskennung: db31a453-2181-4a6f-b2fd-bb67fd48bd68
Vollständiger Name des fehlerhaften Pakets: 
Anwendungs
Comment 1 Andre Heinecke 2018-02-06 08:54:04 UTC
Hi,

thank you for the report. It is indeed a mayor bug in the last release and we might even do a new minor release mostly to fix this.

It was already reported in the GnuPG Bugtracker https://dev.gnupg.org/T3761 and has been fixed since.

(Resolving as upstream as this has been reported in the upstream tracker even if its not an upstream issue)

Regards,
Andre
Comment 2 Andre Heinecke 2018-03-07 14:09:22 UTC
A beta with the fix is available now. https://files.gpg4win.org/Beta/gpg4win-3.1.0-beta-current.exe
Comment 3 kjatwork 2018-03-07 15:25:52 UTC
Checked beta with differnt files and it works!
Thanks a lot :)